<?php
// $Id: main.php,v 1.2 2006/01/20 23:26:53 FARSUS Exp $
//***********************************************************/
//*                      RUNCMS                             */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/
//* Server & PHP Info by  SVL                               */
//* http://www.propan-sochi.ru http://www.runetcms.ru       */
//***********************************************************/
//error_reporting (E_ALL);
if (!preg_match("/admin\.php/i", $_SERVER['PHP_SELF']))
    exit();

?>

<style type="text/css"> 
.pageHeading {  font-size: 18px; color: #727272; font-weight: bold; } 
.smallText {  font-size: 10px; } 
.center {text-align: center;} 
.center table { margin-left: auto; margin-right: auto; text-align: left;} 
.center th { text-align: center !important; }
h1 {font-size: 125%;}
h2 {font-size: 100%;}
.p {text-align: left;}
.e {background-color: #ccccff; font-weight: bold; color: #000000;  font-size: 9px;}
.h {background-color: #9999cc; font-weight: bold; color: #000000; font-size: 12px;}
.v {background-color: #cccccc; color: #000000; font-size: 9px;}
i {color: #666666; background-color: #cccccc;}
hr {background-color: #cccccc; border: 0px; height: 1px; color: #000000;}
</style>

<?php

include_once(XOOPS_ROOT_PATH."/class/xoopsformloader.php");

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function get_system_information() {
  global $xoopsConfig, $db, $_SERVER;
    
  $db_host  = $xoopsConfig['dbhost'];
  $mhost    = $_SERVER['SERVER_NAME'];
  $sql      = 'SELECT now() as datetime';
  $db_query = $db->query($sql);
  $dbinfo   = $db->fetch_array($db_query);
  list($system, $kernel) = preg_split('/[\s,]+/', @exec('uname -a'), 5);

  return array('date'       => date('Y-m-d H:i:s'),
               'system'     => $system,
               'kernel'     => $kernel,
               'ip'         => gethostbyname($mhost),
               'uptime'     => @exec('uptime'),
               'http_server'=> $_SERVER['SERVER_SOFTWARE'],
               'host'       => $mhost,
               'php'        => PHP_VERSION,
               'zend'       => (function_exists('zend_version') ? zend_version() : ''),
               'db_server'  => $db_host,
               'db_ip'      => gethostbyname($db_host),
               'db_version' => 'MySQL ' . (function_exists('mysql_get_server_info') ? mysql_get_server_info() : ''),
               'db_date'    => $dbinfo['datetime'],
               'u_agent'    => $_SERVER["HTTP_USER_AGENT"]
               );
}

$sysinfo = get_system_information();

xoops_cp_header();
OpenTable();

// php info
$phpver  = new XoopsFormLabel(_TITLE_PHP_VERSION    , $sysinfo['php'].' ('._TITLE_ZEND_VERSION.' '.$sysinfo['zend'].')');
$httpserv= new XoopsFormLabel(_TITLE_HTTP_SERVER    , $sysinfo['http_server']);
$uagent  = new XoopsFormLabel(_TITLE_USER_AGENT     , $sysinfo['u_agent']);
// db info
$dbhost  = new XoopsFormLabel(_TITLE_DATABASE_HOST  , $sysinfo['db_server'].' ('.$sysinfo['db_ip'].')');
$dbver   = new XoopsFormLabel(_TITLE_DATABASE       , $sysinfo['db_version']);
$dbdate  = new XoopsFormLabel(_TITLE_DATABASE_DATE  , $sysinfo['db_date']);
// server info
$sehost  = new XoopsFormLabel(_TITLE_SERVER_HOST    , $sysinfo['host'].' ('.$sysinfo['ip'].')');
$seos    = new XoopsFormLabel(_TITLE_SERVER_OS      , PHP_OS);
//$seos    = new XoopsFormLabel(_TITLE_SERVER_OS      , $sysinfo['system'] . ' ' . $sysinfo['kernel']);
$sedate  = new XoopsFormLabel(_TITLE_SERVER_DATE    , $sysinfo['date']);
//$seuptime= new XoopsFormLabel(_TITLE_SERVER_UP_TIME , $sysinfo['uptime']);

ob_start();
phpinfo();
$phpinfo = ob_get_contents();
ob_end_clean();
ereg('<body>(.*)</body>', $phpinfo, $regs);

$phplabel= new XoopsFormLabel('', "<div align='center' style='overflow:hidden;'>".$regs[1]."</div>");
$phplabel->setColspan();

// build elements
$form = new XoopsThemeForm(_HEADING_TITLE, "sysinfo_form", "admin.php");
$form->addElement($phpver);
$form->addElement($httpserv);
$form->addElement($uagent);
$form->addElement($dbhost);
$form->addElement($dbver);
$form->addElement($dbdate);
$form->addElement($sehost);
$form->addElement($seos);
$form->addElement($sedate);
//$form->addElement($seuptime);
$form->addElement($phplabel);
// render
$form->display();

CloseTable();
xoops_cp_footer();

?>